package com.usky.fire.controller.web;


import com.usky.fire.service.MhPostInspectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author JCB
 * @since 2022-08-08
 */
@EnableScheduling
@Component
public class TaskController {
    @Autowired
    private MhPostInspectService mhPostInspectService;

    //    @Scheduled(cron = "0/5 * *  * * ?") // 间隔5秒执行
    @Scheduled(cron = "0 0/5 * * * ? ") // 间隔5分钟执行
    public void task() {
        System.out.println(Thread.currentThread().getName() + "定时任务执行中");
        mhPostInspectService.postInspectAnswerRequest();

    }


}

